diff options
author | Jim Meyering <jim@meyering.net> | 2007-09-11 23:30:09 +0200 |
---|---|---|
committer | Jim Meyering <jim@meyering.net> | 2007-09-15 08:40:39 +0200 |
commit | 44629cf147ba5c3827b5252e36ce50ce447b36b8 (patch) | |
tree | abfb93f2f68ff35e0ab87f70a6aec73df217f8c8 /tests/tee | |
parent | eb3f59b7e1fece055a51ef724c63edac56ab9636 (diff) | |
download | coreutils-44629cf147ba5c3827b5252e36ce50ce447b36b8.tar.xz |
Move the two tests in tests/tee to tests/misc/.
* tests/tee/basic: Move this file to ...
* tests/misc/tee: ...here. Don't rely on $PROG in env.
* tests/tee/dash: Move this file to ...
* tests/misc/tee-dash: ...here. Don't rely on $PROG in env.
* tests/misc/Makefile.am (TESTS): Add tee.
* tests/Makefile.am (SUBDIRS): Remove tee.
* tests/tee: Remove the directory.
* configure.ac (AC_CONFIG_FILES): Remove tests/tee/Makefile
Diffstat (limited to 'tests/tee')
-rw-r--r-- | tests/tee/Makefile.am | 6 | ||||
-rwxr-xr-x | tests/tee/basic | 48 | ||||
-rwxr-xr-x | tests/tee/dash | 39 |
3 files changed, 0 insertions, 93 deletions
diff --git a/tests/tee/Makefile.am b/tests/tee/Makefile.am deleted file mode 100644 index 48f3239af..000000000 --- a/tests/tee/Makefile.am +++ /dev/null @@ -1,6 +0,0 @@ -## Process this file with automake to produce Makefile.in -*-Makefile-*-. -TESTS = basic dash -EXTRA_DIST = $(TESTS) -TESTS_ENVIRONMENT = \ - CU_TEST_NAME=`basename $(abs_srcdir)`,$$tst \ - PATH="$(VG_PATH_PREFIX)`pwd`/../../src$(PATH_SEPARATOR)$$PATH" diff --git a/tests/tee/basic b/tests/tee/basic deleted file mode 100755 index 296ff5e4b..000000000 --- a/tests/tee/basic +++ /dev/null @@ -1,48 +0,0 @@ -#!/bin/sh -# test for basic tee functionality. - -# Copyright (C) 2005, 2006 Free Software Foundation, Inc. - -# This program is free software: you can redistribute it and/or modify -# it under the terms of the GNU General Public License as published by -# the Free Software Foundation, either version 3 of the License, or -# (at your option) any later version. - -# This program is distributed in the hope that it will be useful, -# but WITHOUT ANY WARRANTY; without even the implied warranty of -# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the -# GNU General Public License for more details. - -# You should have received a copy of the GNU General Public License -# along with this program. If not, see <http://www.gnu.org/licenses/>. - -if test "$VERBOSE" = yes; then - set -x - tee --version -fi - -pwd=`pwd` -t0=`echo "$0" |sed 's,.*/,,'`.tmp; tmp=$t0/$$ -trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0 -trap 'status=$?; (exit $status); exit $status' 1 2 13 15 - -fail=0 -mkdir -p $tmp && cd $tmp || fail=1 -echo line >sample || fail=1 -nums=`seq 9` || fail=1 - -if test $fail = 1; then - echo "$0: failure in testing framework" 1>&2 - (exit 1); exit 1 -fi - -for n in 0 $nums; do - files=`seq $n` - rm -f $files - tee $files <sample >out || fail=1 - for f in out $files; do - cmp sample $f || fail=1 - done -done - -(exit $fail); exit $fail diff --git a/tests/tee/dash b/tests/tee/dash deleted file mode 100755 index a5e06a9a1..000000000 --- a/tests/tee/dash +++ /dev/null @@ -1,39 +0,0 @@ -#!/bin/sh -# test for "tee -". - -# Copyright (C) 2005, 2006 Free Software Foundation, Inc. - -# This program is free software: you can redistribute it and/or modify -# it under the terms of the GNU General Public License as published by -# the Free Software Foundation, either version 3 of the License, or -# (at your option) any later version. - -# This program is distributed in the hope that it will be useful, -# but WITHOUT ANY WARRANTY; without even the implied warranty of -# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the -# GNU General Public License for more details. - -# You should have received a copy of the GNU General Public License -# along with this program. If not, see <http://www.gnu.org/licenses/>. - -if test "$VERBOSE" = yes; then - set -x - tee --version -fi - -pwd=`pwd` -t0=`echo "$0" |sed 's,.*/,,'`.tmp; tmp=$t0/$$ -trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0 -trap 'status=$?; (exit $status); exit $status' 1 2 13 15 - -fail=0 -mkdir -p $tmp && cd $tmp || fail=1 - -if test $fail = 1; then - echo "$0: failure in testing framework" 1>&2 - (exit 1); exit 1 -fi - -tee - </dev/null || fail=1 - -(exit $fail); exit $fail |